Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class ReportingBasePluginConvention

    java.lang.Object
      org.gradle.api.plugins.ReportingBasePluginConvention

    public class ReportingBasePluginConvention

extends java.lang.Object

A `BasePluginConvention` defines the convention properties and methods used by the `ReportingBasePlugin`

Constructor Summary
`ReportingBasePluginConvention(Project project)`

Method Summary
`java.lang.String` | `getApiDocTitle()` Returns the title for API documentation for the project.
`java.io.File` | `getReportsDir()` Returns the directory containing all reports for this project
`java.lang.String` | `getReportsDirName()` Returns the name of the reports directory, relative to the project's build directory.
`void` | `setReportsDirName(java.lang.String reportsDirName)` Sets the name of the reports directory, relative to the project's build directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportingBasePluginConvention

    public ReportingBasePluginConvention(Project project)

Method Detail

### getReportsDirName

    public java.lang.String getReportsDirName()

  Returns the name of the reports directory, relative to the project's build directory.

  Returns:
    The reports directory name. Never returns null.

### setReportsDirName

    public void setReportsDirName(java.lang.String reportsDirName)

  Sets the name of the reports directory, relative to the project's build directory.

  Parameters:
    `reportsDirName` - The reports directory name. Should not be null.

### getReportsDir

    public java.io.File getReportsDir()

  Returns the directory containing all reports for this project

  Returns:
    The reports directory. Never returns null.

### getApiDocTitle

    public java.lang.String getApiDocTitle()

  Returns the title for API documentation for the project.

  Returns:
    The title. Never returns null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD